Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class EclipseModel

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.EclipseModel

    class EclipseModel
    extends java.lang.Object

DSL-friendly model of the Eclipse project information. First point of entry when it comes to customizing the eclipse generation

     apply plugin: 'java'
     apply plugin: 'war'  //needed for wtp
     apply plugin: 'eclipse'

     eclipse {
       pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

       project {
         //see docs for EclipseProject
       }

       classpath {
         //see docs for EclipseClasspath
       }

       wtp {
         //see docs for EclipseWtp
       }
     }

More examples in docs for EclipseProject, EclipseClasspath, EclipseWtp @author: Szczepan Faber, created at: 4/13/11

Property Summary
`EclipseClasspath` | `classpath`
`EclipseJdt` | `jdt`
`EclipseProject` | `project`
`EclipseWtp` | `wtp`

Method Summary
`void` | `classpath(groovy.lang.Closure closure)` Configures eclipse classpath information For examples see docs for EclipseClasspath
`void` | `jdt(groovy.lang.Closure closure)` Configures eclipse java compatibility information (jdt) For examples see docs for EclipseProject
`void` | `pathVariables(java.util.Map pathVariables)` Adds path variables to be used for replacing absolute paths in classpath entries.
`void` | `project(groovy.lang.Closure closure)` Configures eclipse project For examples see docs for EclipseProject
`void` | `wtp(groovy.lang.Closure closure)` Configures eclipse wtp information For examples see docs for EclipseWtp

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### classpath

    EclipseClasspath classpath

### jdt

    EclipseJdt jdt

### project

    EclipseProject project

### wtp

    EclipseWtp wtp

Method Detail

### classpath

    void classpath(groovy.lang.Closure closure)

  Configures eclipse classpath information

  For examples see docs for EclipseClasspath

  Parameters:
    closure

### jdt

    void jdt(groovy.lang.Closure closure)

  Configures eclipse java compatibility information (jdt)

  For examples see docs for EclipseProject

  Parameters:
    closure

### pathVariables

    void pathVariables(java.util.Map pathVariables)

  Adds path variables to be used for replacing absolute paths in classpath entries.

  For example see docs for EclipseModel

  Parameters:
    `pathVariables` - A map with String->File pairs.

### project

    void project(groovy.lang.Closure closure)

  Configures eclipse project

  For examples see docs for EclipseProject

  Parameters:
    closure

### wtp

    void wtp(groovy.lang.Closure closure)

  Configures eclipse wtp information

  For examples see docs for EclipseWtp

  Parameters:
    closure

Groovy Documentation